## com.artofsolving.jodconverter
Class XmlDocumentFormatRegistry

    java.lang.Object
      com.artofsolving.jodconverter.BasicDocumentFormatRegistry
          com.artofsolving.jodconverter.XmlDocumentFormatRegistry

All Implemented Interfaces:
  DocumentFormatRegistry

    public class XmlDocumentFormatRegistry

extends BasicDocumentFormatRegistry
implements DocumentFormatRegistry

Constructor Summary
`XmlDocumentFormatRegistry()` Deprecated. use `DefaultDocumentFormatRegistry` instead (since version 2.1.2)
`XmlDocumentFormatRegistry(java.io.InputStream inputStream)`

Method Summary
`static void` `main(java.lang.String[] args)` Prints out a document-formats.xml from the `DefaultDocumentFormatRegistry`

Methods inherited from class com.artofsolving.jodconverter.BasicDocumentFormatRegistry
`addDocumentFormat, getDocumentFormats, getFormatByFileExtension, getFormatByMimeType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.artofsolving.jodconverter.DocumentFormatRegistry
`getFormatByFileExtension, getFormatByMimeType`

Constructor Detail

### XmlDocumentFormatRegistry

    public XmlDocumentFormatRegistry()

  Deprecated. use `DefaultDocumentFormatRegistry` instead (since version 2.1.2)

### XmlDocumentFormatRegistry

    public XmlDocumentFormatRegistry(java.io.InputStream inputStream)

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  Prints out a document-formats.xml from the `DefaultDocumentFormatRegistry`

  Throws:
    `java.io.IOException`

Copyright © 2003-2009 Art of Solving. All Rights Reserved.